HEAD(1L)

NAME
head - output the first part of files

SYNOPSIS
head [-c N[bkm]] [-n N] [-qv] [--bytes=N[bkm]] [--lines=N] [--quiet] [--silent] [--verbose] [--help] [--version] [file...] head [-Nbcklmqv] [file...]

DESCRIPTION
This manual page documents the GNU version of head. head prints the first part (10 lines by default) of each given file; it reads from standard input if no files are given or when a filename of `-' is encountered. If more than one file is given, it prints a header consisting of the file's name enclosed in `==>' and `<==' before the output for each file.

  OPTIONS

head accepts two option formats: the new one, in which numbers are arguments to the option letters, and the old one, in which the number precedes any option letters.

-c N, --bytes N
    Print first N bytes. N is a nonzero integer, optionally followed by one of the following characters to specify a different unit.

    b   512-byte blocks.

    k   1-kilobyte blocks.

    m   1-megabyte blocks.

-l, -n N, --lines N
    Print first N lines.

-q, --quiet, --silent
    Never print filename headers.

-v, --verbose
    Always print filename headers.

--help
    Print a usage message and exit with a non-zero status.

--version
    Print version information on standard output then exit.